/// AUTO GENERATED BY build.rs

use std::collections::HashMap;

use webrender_build::shader::ShaderVersion;

pub struct SourceWithDigest {
    pub source: &'static str,
    pub digest: &'static str,
}

pub struct OptimizedSourceWithDigest {
    pub vert_source: &'static str,
    pub frag_source: &'static str,
    pub digest: &'static str,
}

lazy_static! {
  pub static ref UNOPTIMIZED_SHADERS: HashMap<&'static str, SourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert("base", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/base.glsl"), digest: "d5ae695bab268b7d"});
    shaders.insert("blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/blend.glsl"), digest: "a8969242d4cf0a68"});
    shaders.insert("brush", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/brush.glsl"), digest: "fda195c2df7fbecd"});
    shaders.insert("brush_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/brush_blend.glsl"), digest: "56017949bdff1f74"});
    shaders.insert("brush_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/brush_image.glsl"), digest: "4b2611c0da06aafd"});
    shaders.insert("brush_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/brush_linear_gradient.glsl"), digest: "bf3c18cfc559bd6f"});
    shaders.insert("brush_mix_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/brush_mix_blend.glsl"), digest: "b9aed1012fb64f52"});
    shaders.insert("brush_opacity", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/brush_opacity.glsl"), digest: "a082acfaa80c4409"});
    shaders.insert("brush_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/brush_solid.glsl"), digest: "7d970a2ce0129d96"});
    shaders.insert("brush_yuv_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/brush_yuv_image.glsl"), digest: "e007365b1432ac"});
    shaders.insert("clip_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/clip_shared.glsl"), digest: "34b82ef3ac08b8a2"});
    shaders.insert("composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/composite.glsl"), digest: "d7f5dbb8b617643b"});
    shaders.insert("cs_blur", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_blur.glsl"), digest: "fa25cb56e16297aa"});
    shaders.insert("cs_border_segment", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_border_segment.glsl"), digest: "106a089f234ad0bb"});
    shaders.insert("cs_border_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_border_solid.glsl"), digest: "168d27ef1f35a42f"});
    shaders.insert("cs_clip_box_shadow", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_clip_box_shadow.glsl"), digest: "badcd5e834ef310d"});
    shaders.insert("cs_clip_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_clip_image.glsl"), digest: "504659a9c88b9d62"});
    shaders.insert("cs_clip_rectangle", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_clip_rectangle.glsl"), digest: "231a9bca2774f13d"});
    shaders.insert("cs_conic_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_conic_gradient.glsl"), digest: "40f2e92e1c17139e"});
    shaders.insert("cs_fast_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_fast_linear_gradient.glsl"), digest: "d9a1e5db0fd6c5d2"});
    shaders.insert("cs_line_decoration", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_line_decoration.glsl"), digest: "2386f3b2be4eda0a"});
    shaders.insert("cs_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_linear_gradient.glsl"), digest: "b345d8647f0c4954"});
    shaders.insert("cs_radial_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_radial_gradient.glsl"), digest: "e5320f3d7417cc31"});
    shaders.insert("cs_scale", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_scale.glsl"), digest: "fc6709e353349d1e"});
    shaders.insert("cs_svg_filter", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/cs_svg_filter.glsl"), digest: "25ade213a01c94eb"});
    shaders.insert("debug_color", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/debug_color.glsl"), digest: "2f9261e057bd8448"});
    shaders.insert("debug_font", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/debug_font.glsl"), digest: "738d28322b4c39c6"});
    shaders.insert("ellipse", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/ellipse.glsl"), digest: "1883f224293b6515"});
    shaders.insert("gpu_cache", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/gpu_cache.glsl"), digest: "e99b57d9cc26406a"});
    shaders.insert("gpu_cache_update", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/gpu_cache_update.glsl"), digest: "208078c3cbd97aa7"});
    shaders.insert("gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/gradient.glsl"), digest: "8fd15af56b74882f"});
    shaders.insert("gradient_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/gradient_shared.glsl"), digest: "6f3fd5b68c496f08"});
    shaders.insert("prim_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/prim_shared.glsl"), digest: "871a865d0292f40c"});
    shaders.insert("ps_clear", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/ps_clear.glsl"), digest: "81dbbdcf6f3326c5"});
    shaders.insert("ps_split_composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/ps_split_composite.glsl"), digest: "8f00eebe4298f20d"});
    shaders.insert("ps_text_run", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/ps_text_run.glsl"), digest: "ef8508d13282da15"});
    shaders.insert("rect", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/rect.glsl"), digest: "4f129d4925591d33"});
    shaders.insert("render_task", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/render_task.glsl"), digest: "c4574b7a23485833"});
    shaders.insert("shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/shared.glsl"), digest: "4c69e477c1a90ece"});
    shaders.insert("shared_other", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/shared_other.glsl"), digest: "9f6298a27dfe79c6"});
    shaders.insert("transform", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/transform.glsl"), digest: "c783752dc8c02e55"});
    shaders.insert("yuv", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-94.0/gfx/wr/webrender/res/yuv.glsl"), digest: "131e800777417171"});
    shaders
  };

  pub static ref OPTIMIZED_SHADERS: HashMap<(ShaderVersion, &'static str), OptimizedSourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert((ShaderVersion::Gl, "brush_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_blend_Gl.frag"),
        digest: "30095938cf298a21",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_blend_ALPHA_PASS_Gl.frag"),
        digest: "3c440fdbac3fc57e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "cd0789e8186a3c45",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "74c20ff183ef7f1d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "f12e45527ec9a1",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "1b13634296cde476",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "6e8da81bdb6ef68c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "7acd594bd169240e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "7ccad826bbc096d1",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "b3cfead4d7c885a9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "986e9521400e77e0",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "7293cd154d6e0c89",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.frag"),
        digest: "a9eff9b1887a64e6",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "1ca6ecb5359e28b7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "3b1969f2e30213a8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "60e55354d15fb5d7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "6f7cfc74a67b6521",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "570937eeeb1daf2f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "42a1f783436745c9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "63ccfb459abfd62e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.frag"),
        digest: "d21a0912e3ba8729",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_TEXTURE_2D_Gl.frag"),
        digest: "eabb5f2296394738",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_image_TEXTURE_RECT_Gl.frag"),
        digest: "101a245d8dbed19e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_linear_gradient_Gl.frag"),
        digest: "527711456b0f6f4d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_linear_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_linear_gradient_ALPHA_PASS_Gl.frag"),
        digest: "b38ded9fdf95aeea",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "a332ef575afc6166",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_mix_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_mix_blend_Gl.frag"),
        digest: "67a83cd4cb2f5e47",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_mix_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_mix_blend_ALPHA_PASS_Gl.frag"),
        digest: "1b74b331dcf55e41",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "9e2a44da0c25daa3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_Gl.frag"),
        digest: "6c96d3de3531cc05",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_ALPHA_PASS_Gl.frag"),
        digest: "2f173b35587bceb9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.frag"),
        digest: "8a012fc23d5fd9ee",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_ANTIALIASING_Gl.frag"),
        digest: "5397f41191c96ff7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.frag"),
        digest: "3244bf7da7543607",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_opacity_DEBUG_OVERDRAW_Gl.frag"),
        digest: "f9678eb5c202c2a3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_solid_Gl.frag"),
        digest: "43fde8011730108e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_solid_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_solid_ALPHA_PASS_Gl.frag"),
        digest: "c44abd7bb88de679",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_solid_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_solid_DEBUG_OVERDRAW_Gl.frag"),
        digest: "dd2c668453222a1b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.frag"),
        digest: "aa950262def1b72c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "478e3a5629b9b1dd",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.frag"),
        digest: "62b969d21425e2a4",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "b4d8a1dad97ed811",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.frag"),
        digest: "3600cf40b850e1d7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "79bd22cf2af41493",
    });
    shaders.insert((ShaderVersion::Gl, "composite_FAST_PATH_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_FAST_PATH_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_FAST_PATH_TEXTURE_2D_Gl.frag"),
        digest: "dfccc486768aa9f6",
    });
    shaders.insert((ShaderVersion::Gl, "composite_FAST_PATH_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_FAST_PATH_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_FAST_PATH_TEXTURE_RECT_Gl.frag"),
        digest: "181d9b7fb77535bf",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_TEXTURE_2D_Gl.frag"),
        digest: "9318a023a512c0f7",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_TEXTURE_2D_YUV_Gl.frag"),
        digest: "4d8b392fbe1b7261",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_TEXTURE_RECT_Gl.frag"),
        digest: "7d92f3363c80c4b9",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/composite_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "bf1fc5bb1918100c",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_ALPHA_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_blur_ALPHA_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_blur_ALPHA_TARGET_Gl.frag"),
        digest: "e1ee6b18274ebea4",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_COLOR_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_blur_COLOR_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_blur_COLOR_TARGET_Gl.frag"),
        digest: "44b296e917f5ffe0",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_segment"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_border_segment_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_border_segment_Gl.frag"),
        digest: "8495134f5ed37bf5",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_border_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_border_solid_Gl.frag"),
        digest: "9fd688a8c266d2da",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_box_shadow_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_clip_box_shadow_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_clip_box_shadow_TEXTURE_2D_Gl.frag"),
        digest: "27ebd9a8598b86dd",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_clip_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_clip_image_TEXTURE_2D_Gl.frag"),
        digest: "cc3eb79ed945df7e",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_clip_rectangle_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_clip_rectangle_Gl.frag"),
        digest: "2c8a1dff0fe0a10f",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle_FAST_PATH"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_clip_rectangle_FAST_PATH_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_clip_rectangle_FAST_PATH_Gl.frag"),
        digest: "f2f1ca9e786e5c25",
    });
    shaders.insert((ShaderVersion::Gl, "cs_conic_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_conic_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_conic_gradient_Gl.frag"),
        digest: "b7cda5b4a185979c",
    });
    shaders.insert((ShaderVersion::Gl, "cs_fast_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_fast_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_fast_linear_gradient_Gl.frag"),
        digest: "3d4ec20a2b40f905",
    });
    shaders.insert((ShaderVersion::Gl, "cs_line_decoration"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_line_decoration_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_line_decoration_Gl.frag"),
        digest: "7943c68da0973c69",
    });
    shaders.insert((ShaderVersion::Gl, "cs_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_linear_gradient_Gl.frag"),
        digest: "d472e0930d426d9d",
    });
    shaders.insert((ShaderVersion::Gl, "cs_radial_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_radial_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_radial_gradient_Gl.frag"),
        digest: "da73355e0977ab65",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_scale_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_scale_TEXTURE_2D_Gl.frag"),
        digest: "8b96616ecbcd584b",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_scale_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_scale_TEXTURE_RECT_Gl.frag"),
        digest: "d131714d8283049d",
    });
    shaders.insert((ShaderVersion::Gl, "cs_svg_filter"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_svg_filter_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/cs_svg_filter_Gl.frag"),
        digest: "6595c3bd48da1c2e",
    });
    shaders.insert((ShaderVersion::Gl, "debug_color"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/debug_color_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/debug_color_Gl.frag"),
        digest: "f458fe7ea40bd77e",
    });
    shaders.insert((ShaderVersion::Gl, "debug_font"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/debug_font_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/debug_font_Gl.frag"),
        digest: "503ec56c19b6bd2c",
    });
    shaders.insert((ShaderVersion::Gl, "ps_clear"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_clear_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_clear_Gl.frag"),
        digest: "9ef2acc3bbd621e8",
    });
    shaders.insert((ShaderVersion::Gl, "ps_split_composite"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_split_composite_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_split_composite_Gl.frag"),
        digest: "9567385257869ee1",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "4206a389e17781d0",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "f7f64128b28324e6",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "38b0cb66281e545a",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "f09e4a2ad5873fba",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "4b8cfd14ebbc7b1e",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-94.0/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-579599bcccfe6589/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "eed566e8b1b1330d",
    });
    shaders
  };
}
